#!/bin/sh

echo "--------------------------"
echo "Fujitsu Isotec"
echo "fitposcupsdrv installer"
echo "--------------------------"
echo ""

if [ -z $RPMBUILD ] && [ "$UID" -ne 0 ]
then
    echo "This script requires root user."
    exit 1
fi

FILTERDIR=usr/lib/cups/filter
PPDDIR=usr/share/cups/model/FIT

echo "Copying rastertofp2100pos filter to $DESTDIR/$FILTERDIR"
mkdir -p $DESTDIR/$FILTERDIR
chmod +x rastertofp2100pos
cp rastertofp2100pos $DESTDIR/$FILTERDIR

echo "Copying model ppd files to $DESTDIR/$PPDDIR"
mkdir -p $DESTDIR/$PPDDIR
cp *.gz $DESTDIR/$PPDDIR
echo ""

if [ -z $RPMBUILD ]
then
    echo "Restarting CUPS"
    if [ -x /etc/init.d/cups ]
    then
        /etc/init.d/cups restart
        echo "Install Complete"
    else
        echo "Could not restart CUPS. Please restart CUPS."
    fi
    echo ""
fi
